{
    attributes = (
        {
            columnName = "CODE_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = codeSpecialite; 
            valueClassName = NSString; 
            width = 25; 
        }, 
        {
            columnName = "C_SPECIALITE_ID"; 
            externalType = NUMBER; 
            name = cSpecialiteId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = libCrtSpecialite; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = "LL_SPECIALITE"; 
            externalType = VARCHAR2; 
            name = libLgSpecialite; 
            valueClassName = NSString; 
            width = 255; 
        }
    ); 
    className = "org.cocktail.fwkcktlformco.serveur.metier.EOSpecialite"; 
    classProperties = (codeSpecialite, cSpecialiteId, libCrtSpecialite, libLgSpecialite); 
    externalName = "FORMCO.SPECIALITE"; 
    fetchSpecificationDictionary = {}; 
    name = EOSpecialite; 
    primaryKeyAttributes = (cSpecialiteId); 
}
